#!/bin/bash
#
# Filename: todo_by_project.sh
#
# Generate a Form with a Drop down field containing all project names 
# to provide access to the TODO list for whichever project the user select
#
# Copyright Ben Tasker 2009
# Released under the GNU GPL V3
# See http://benscomputer.no-ip.org/LICENSE for details
#
#

echo Content-type: text/html
echo

./BUGGER_config.sh imascript /tmp/BUGGER.auth_process.conf.$$

source /tmp/BUGGER.auth_process.conf.$$
rm -f /tmp/BUGGER.auth_process.conf.$$ 2> /dev/null

USERNAME=$( /bin/env | grep "REQUEST_URI" | sed -n 's/^.*USERNAME=\([^&]*\).*$/\1/p' )

wget -O /tmp/.BUGREPORT_DETAILS.upd.$$.PROJDETAILS "http://$DATABASE_SERVER/cgi-bin/Claims_DB_listener.sh?METHOD=2&DBNAME=Bugs&TABLE=Projects"

/bin/cat << EOM
<form action="view_TODO.shtml" method="get">
<input type="hidden" Name="USERNAME" value="$USERNAME">
Project: <SELECT NAME="ProjectID">
EOM


# We haven't built the infrastructure for this yet!
# Will be uncommented when the functionality exists

# /bin/cat << EOM
# <input type="hidden" value="$USER_FIELD" name="User">
# EOM

while read -r a                    
do   

echo "$a" > /tmp/tmprecord1.$$

PRO_ID_1=$( cat /tmp/tmprecord1.$$ | awk -F\, '{print $1}' )
PRO_ID=$( echo $PRO_ID_1 )

PROJECT_NAME=$( cat /tmp/tmprecord1.$$ | awk -F\, '{print $2}' | sed s/\"//g )


/bin/cat << EOM
<option value=$PRO_ID>$PROJECT_NAME</option>
EOM
rm -f /tmp/tmprecord1.$$
done < /tmp/.BUGREPORT_DETAILS.upd.$$.PROJDETAILS

/bin/cat << EOM
</select><Input type="submit" Value="View TODO list"></form>
EOM

rm -f /tmp/.BUGREPORT_DETAILS.upd.$$.PROJDETAILS